# Uses of Interface
org.bukkit.World

Packages that use World
Package
Description
com.destroystokyo.paper
io.papermc.paper.event.entity
io.papermc.paper.event.world
io.papermc.paper.event.world.border
io.papermc.paper.math
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.event.raid
`Events` related to raids.
org.bukkit.event.weather
`Events` relating to weather.
org.bukkit.event.world
`Events` triggered by various `world` states or changes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.
org.bukkit.map
Classes to facilitate plugin handling of `map` displays.
org.bukkit.util
Multi and single purpose classes to facilitate various programmatic concepts.
org.bukkit.util.noise
Classes dedicated to facilitating deterministic noise.

## Uses of World in com.destroystokyo.paper

Methods in com.destroystokyo.paper with parameters of type World
Modifier and Type
Method
Description
`@NotNull ParticleBuilder`
ParticleBuilder.`location(@NotNull World world, double x, double y, double z)`
Sets the location of where to spawn the particle

## Uses of World in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return World
Modifier and Type
Method
Description
`@Nullable World`
EntityPortalReadyEvent.`getTargetWorld()`
Gets the world this portal will teleport to.
Methods in io.papermc.paper.event.entity with parameters of type World
Modifier and Type
Method
Description
`void`
EntityPortalReadyEvent.`setTargetWorld(@Nullable World targetWorld)`
Sets the world this portal will teleport to.
Constructors in io.papermc.paper.event.entity with parameters of type World
Modifier
Constructor
Description
``
`EntityPortalReadyEvent(@NotNull Entity entity, @Nullable World targetWorld, @NotNull PortalType portalType)`

## Uses of World in io.papermc.paper.event.world

Constructors in io.papermc.paper.event.world with parameters of type World
Modifier
Constructor
Description
``
`StructureLocateEvent(@NotNull World world, @NotNull Location origin, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Deprecated, for removal: This API element is subject to removal in a future version.
``
`StructuresLocateEvent(@NotNull World world, @NotNull Location origin, @NotNull List<ConfiguredStructure> configuredStructures, int radius, boolean findUnexplored)`
``
`WorldGameRuleChangeEvent(@NotNull World world, @Nullable CommandSender commandSender, @NotNull GameRule<?> gameRule, @NotNull String value)`

## Uses of World in io.papermc.paper.event.world.border

Constructors in io.papermc.paper.event.world.border with parameters of type World
Modifier
Constructor
Description
``
`WorldBorderBoundsChangeEvent(@NotNull World world, @NotNull WorldBorder worldBorder, @NotNull WorldBorderBoundsChangeEvent.Type type, double oldSize, double newSize, long duration)`
``
`WorldBorderBoundsChangeFinishEvent(@NotNull World world, @NotNull WorldBorder worldBorder, double oldSize, double newSize, double duration)`
``
`WorldBorderCenterChangeEvent(@NotNull World world, @NotNull WorldBorder worldBorder, @NotNull Location oldCenter, @NotNull Location newCenter)`
``
`WorldBorderEvent(@NotNull World world, @NotNull WorldBorder worldBorder)`

## Uses of World in io.papermc.paper.math

Methods in io.papermc.paper.math with parameters of type World
Modifier and Type
Method
Description
`default @NotNull Location`
Position.`toLocation(@NotNull World world)`
Creates a new location object at this position with the specified world

## Uses of World in org.bukkit

Methods in org.bukkit that return World
Modifier and Type
Method
Description
`static @Nullable World`
Bukkit.`createWorld(@NotNull WorldCreator creator)`
Creates or loads a world with the given name using the specified options.
`@Nullable World`
Server.`createWorld(@NotNull WorldCreator creator)`
Creates or loads a world with the given name using the specified options.
`@Nullable World`
WorldCreator.`createWorld()`
Creates a world with the specified options.
`static @Nullable World`
Bukkit.`getWorld(@NotNull String name)`
Gets the world with the given name.
`static @Nullable World`
Bukkit.`getWorld(@NotNull UUID uid)`
Gets the world from the given Unique ID.
`static @Nullable World`
Bukkit.`getWorld(@NotNull NamespacedKey worldKey)`
Gets the world from the given NamespacedKey
`@NotNull World`
Chunk.`getWorld()`
Gets the world containing this chunk
`World`
Location.`getWorld()`
Gets the world that this location resides in
`@Nullable World`
Server.`getWorld(@NotNull String name)`
Gets the world with the given name.
`@Nullable World`
Server.`getWorld(@NotNull UUID uid)`
Gets the world from the given Unique ID.
`@Nullable World`
Server.`getWorld(@NotNull NamespacedKey worldKey)`
Gets the world from the given NamespacedKey
`@Nullable World`
WorldBorder.`getWorld()`
Get the `World` in which the border resides.
Methods in org.bukkit that return types with arguments of type World
Modifier and Type
Method
Description
`static @NotNull List<World>`
Bukkit.`getWorlds()`
Gets a list of all worlds on this server.
`@NotNull List<World>`
Server.`getWorlds()`
Gets a list of all worlds on this server.
Methods in org.bukkit with parameters of type World
Modifier and Type
Method
Description
`@NotNull WorldCreator`
WorldCreator.`copy(@NotNull World world)`
Copies the options from the specified world
`static @NotNull ItemStack`
Bukkit.`craftItem(@NotNull ItemStack[] craftingMatrix, @NotNull World world, @NotNull Player player)`
Get the crafted item using the list of `ItemStack` provided.
`@NotNull ItemStack`
Server.`craftItem(@NotNull ItemStack[] craftingMatrix, @NotNull World world, @NotNull Player player)`
Get the crafted item using the list of `ItemStack` provided.
`static ChunkGenerator.ChunkData`
Bukkit.`createChunkData(@NotNull World world)`
Create a ChunkData for use in a generator.
`ChunkGenerator.ChunkData`
Server.`createChunkData(@NotNull World world)`
Create a ChunkData for use in a generator.
`static @NotNull ItemStack`
Bukkit.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`static @NotNull ItemStack`
Bukkit.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`@NotNull ItemStack`
Server.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`@NotNull ItemStack`
Server.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`static @NotNull MapView`
Bukkit.`createMap(@NotNull World world)`
Create a new map with an automatically assigned ID.
`@NotNull MapView`
Server.`createMap(@NotNull World world)`
Create a new map with an automatically assigned ID.
`static ChunkGenerator.ChunkData`
Bukkit.`createVanillaChunkData(@NotNull World world, int x, int z)`
Deprecated, for removal: This API element is subject to removal in a future version.
The new multi-stage worldgen API allows a similar effect by overriding all of the "shouldGenerate..." methods to return true, and then modifying the chunkdata in a later stage such as surface or bedrock generation.
`ChunkGenerator.ChunkData`
Server.`createVanillaChunkData(@NotNull World world, int x, int z)`
Deprecated, for removal: This API element is subject to removal in a future version.
The new multi-stage worldgen API allows a similar effect by overriding all of the "shouldGenerate..." methods to return true, and then modifying the chunkdata in a later stage such as surface or bedrock generation.
`default Entity`
UnsafeValues.`deserializeEntity(byte[] data, World world)`
Deprecated.
`Entity`
UnsafeValues.`deserializeEntity(byte[] data, World world, boolean preserveUUID)`
Deprecated.
`static @Nullable Recipe`
Bukkit.`getCraftingRecipe(@NotNull ItemStack[] craftingMatrix, @NotNull World world)`
Get the `Recipe` for the list of ItemStacks provided.
`@Nullable Recipe`
Server.`getCraftingRecipe(@NotNull ItemStack[] craftingMatrix, @NotNull World world)`
Get the `Recipe` for the list of ItemStacks provided.
`void`
Location.`setWorld(@Nullable World world)`
Sets the world that this location resides in
`@NotNull Location`
Location.`toLocation(@NotNull World world)`
`static boolean`
Bukkit.`unloadWorld(@NotNull World world, boolean save)`
Unloads the given world.
`boolean`
Server.`unloadWorld(@NotNull World world, boolean save)`
Unloads the given world.
Constructors in org.bukkit with parameters of type World
Modifier
Constructor
Description
``
`Location(World world, double x, double y, double z)`
Constructs a new Location with the given coordinates
``
`Location(World world, double x, double y, double z, float yaw, float pitch)`
Constructs a new Location with the given coordinates and direction

## Uses of World in org.bukkit.block

Methods in org.bukkit.block that return World
Modifier and Type
Method
Description
`@NotNull World`
Block.`getWorld()`
Gets the world which contains this Block
`@NotNull World`
BlockState.`getWorld()`
Gets the world which contains the block represented by this block state.
`@Nullable World`
DoubleChest.`getWorld()`

## Uses of World in org.bukkit.entity

Methods in org.bukkit.entity that return World
Modifier and Type
Method
Description
`@NotNull World`
Entity.`getWorld()`
Gets the current world this entity resides in

## Uses of World in org.bukkit.event.player

Methods in org.bukkit.event.player that return World
Modifier and Type
Method
Description
`@NotNull World`
PlayerChangedWorldEvent.`getFrom()`
Gets the world the player is switching from.
Constructors in org.bukkit.event.player with parameters of type World
Modifier
Constructor
Description
``
`PlayerChangedWorldEvent(@NotNull Player player, @NotNull World from)`

## Uses of World in org.bukkit.event.raid

Constructors in org.bukkit.event.raid with parameters of type World
Modifier
Constructor
Description
`protected`
`RaidEvent(@NotNull Raid raid, @NotNull World world)`
``
`RaidFinishEvent(@NotNull Raid raid, @NotNull World world, @NotNull List<Player> winners)`
``
`RaidSpawnWaveEvent(@NotNull Raid raid, @NotNull World world, @Nullable Raider leader, @NotNull List<Raider> raiders)`
``
`RaidStopEvent(@NotNull Raid raid, @NotNull World world, @NotNull RaidStopEvent.Reason reason)`
``
`RaidTriggerEvent(@NotNull Raid raid, @NotNull World world, @NotNull Player player)`

## Uses of World in org.bukkit.event.weather

Fields in org.bukkit.event.weather declared as World
Modifier and Type
Field
Description
`protected World`
WeatherEvent.`world`
Methods in org.bukkit.event.weather that return World
Modifier and Type
Method
Description
`final @NotNull World`
WeatherEvent.`getWorld()`
Returns the World where this event is occurring
Constructors in org.bukkit.event.weather with parameters of type World
Modifier
Constructor
Description
``
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt)`
Deprecated.
``
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt, @NotNull LightningStrikeEvent.Cause cause)`
``
`ThunderChangeEvent(@NotNull World world, boolean to)`
Deprecated.
``
`ThunderChangeEvent(@NotNull World world, boolean to, @NotNull ThunderChangeEvent.Cause cause)`
``
`WeatherChangeEvent(@NotNull World world, boolean to)`
Deprecated.
``
`WeatherChangeEvent(@NotNull World world, boolean to, @NotNull WeatherChangeEvent.Cause cause)`
``
`WeatherEvent(@NotNull World where)`

## Uses of World in org.bukkit.event.world

Methods in org.bukkit.event.world that return World
Modifier and Type
Method
Description
`@NotNull World`
WorldEvent.`getWorld()`
Gets the world primarily involved with this event
Constructors in org.bukkit.event.world with parameters of type World
Modifier
Constructor
Description
``
`LootGenerateEvent(@NotNull World world, @Nullable Entity entity, @Nullable InventoryHolder inventoryHolder, @NotNull LootTable lootTable, @NotNull LootContext lootContext, @NotNull List<ItemStack> items, boolean plugin)`
``
`PortalCreateEvent(@NotNull List<BlockState> blocks, @NotNull World world, @NotNull PortalCreateEvent.CreateReason reason)`
Deprecated.
``
`PortalCreateEvent(@NotNull List<BlockState> blocks, @NotNull World world, @Nullable Entity entity, @NotNull PortalCreateEvent.CreateReason reason)`
``
`SpawnChangeEvent(@NotNull World world, @NotNull Location previousLocation)`
``
`TimeSkipEvent(@NotNull World world, @NotNull TimeSkipEvent.SkipReason skipReason, long skipAmount)`
``
`WorldEvent(@NotNull World world)`
``
`WorldEvent(@NotNull World world, boolean isAsync)`
``
`WorldInitEvent(@NotNull World world)`
``
`WorldLoadEvent(@NotNull World world)`
``
`WorldSaveEvent(@NotNull World world)`
``
`WorldUnloadEvent(@NotNull World world)`

## Uses of World in org.bukkit.generator

Methods in org.bukkit.generator that return World
Modifier and Type
Method
Description
`@NotNull World`
LimitedRegion.`getWorld()`
Gets the `World` object this region represents.
Methods in org.bukkit.generator with parameters of type World
Modifier and Type
Method
Description
`boolean`
ChunkGenerator.`canSpawn(@NotNull World world, int x, int z)`
Tests if the specified location is valid for a natural spawn position
`protected final @NotNull ChunkGenerator.ChunkData`
ChunkGenerator.`createChunkData(@NotNull World world)`
Deprecated.
`ChunkGenerator.ChunkData` are now directly provided
`@NotNull ChunkGenerator.ChunkData`
ChunkGenerator.`createVanillaChunkData(@NotNull World world, int x, int z)`
Create a ChunkData for use in a generator, that is populated by the vanilla generator for that world
`@NotNull ChunkGenerator.ChunkData`
ChunkGenerator.`generateChunkData(@NotNull World world, @NotNull Random random, int x, int z, @NotNull ChunkGenerator.BiomeGrid biome)`
Deprecated.
The generation is now split up and the new methods should be used, see `ChunkGenerator`
`@NotNull List<BlockPopulator>`
ChunkGenerator.`getDefaultPopulators(@NotNull World world)`
Gets a list of default `BlockPopulator`s to apply to a given world
`@Nullable Location`
ChunkGenerator.`getFixedSpawnLocation(@NotNull World world, @NotNull Random random)`
Gets a fixed spawn location to use for a given world.
`void`
BlockPopulator.`populate(@NotNull World world, @NotNull Random random, @NotNull Chunk source)`
Deprecated.
Use `BlockPopulator.populate(WorldInfo, Random, int, int, LimitedRegion)`

## Uses of World in org.bukkit.map

Methods in org.bukkit.map that return World
Modifier and Type
Method
Description
`@Nullable World`
MapView.`getWorld()`
Get the world that this map is associated with.
Methods in org.bukkit.map with parameters of type World
Modifier and Type
Method
Description
`void`
MapView.`setWorld(@NotNull World world)`
Set the world that this map is associated with.

## Uses of World in org.bukkit.util

Methods in org.bukkit.util with parameters of type World
Modifier and Type
Method
Description
`@NotNull Location`
Vector.`toLocation(@NotNull World world)`
Gets a Location version of this vector with yaw and pitch being 0.
`@NotNull Location`
Vector.`toLocation(@NotNull World world, float yaw, float pitch)`
Gets a Location version of this vector.
Constructors in org.bukkit.util with parameters of type World
Modifier
Constructor
Description
``
`BlockIterator(@NotNull World world, @NotNull Vector start, @NotNull Vector direction, double yOffset, int maxDistance)`
Constructs the BlockIterator.

## Uses of World in org.bukkit.util.noise

Constructors in org.bukkit.util.noise with parameters of type World
Modifier
Constructor
Description
``
`PerlinNoiseGenerator(@NotNull World world)`
Creates a seeded perlin noise generator for the given world
``
`PerlinOctaveGenerator(@NotNull World world, int octaves)`
Creates a perlin octave generator for the given world
``
`SimplexNoiseGenerator(@NotNull World world)`
Creates a seeded simplex noise generator for the given world
``
`SimplexOctaveGenerator(@NotNull World world, int octaves)`
Creates a simplex octave generator for the given world